import { RJSFSchema } from "@rjsf/utils";
export default class IdService {
    private tmpIdTree;
    private formData;
    constructor(schema: RJSFSchema, formData: any);
    setSchema(schema: RJSFSchema): void;
    setFormData(formData: any): void;
    addLajiFormIds(formData: any, immutably?: boolean): [any, {
        [id: string]: true;
    }];
    getAllLajiFormIdsDeeply(formData: any): {
        [id: string]: true;
    };
    removeLajiFormIds(formData: any): any;
    getUUID: (item: any) => any;
    findPointerForLajiFormId(tmpIdTree: any | undefined, formData: any, lajiFormId: string | number): string | undefined;
    getJSONPointerFromLajiFormIdAndRelativePointer(lajiFormId: string | number, relativePointer: string): string;
    getJSONPointerFromLajiFormIdAndFormDataAndIdSchemaId(idSchemaId: string, lajiFormId: string | number): string;
    getRelativePointer(idSchemaId: string, lajiFormId: string | number): string;
    getRelativeTmpIdTree(id: string): any;
}
export declare function createTmpIdTree(schema: RJSFSchema): {} | undefined;
